Last Comment Bug 324740 - add generation of SIA and AIA extensions to certutil
: add generation of SIA and AIA extensions to certutil
Status: RESOLVED FIXED
PKIXTEST
:
Product: NSS
Classification: Components
Component: Tools (show other bugs)
: 3.11
: All All
: P1 enhancement (vote)
: 3.12
Assigned To: Alexei Volkov
:
Mentors:
Depends on: 324744 346354 389712 390973
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 19:35 PST by Julien Pierre
Modified: 2007-09-19 15:10 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
AIA and SIA extension patch(not for review yet) (12.10 KB, patch)
2007-01-16 13:52 PST, Alexei Volkov
no flags Details | Diff | Review
split certutil by removing code related to extension generation into separate file (26.64 KB, patch)
2007-05-22 13:43 PDT, Alexei Volkov
no flags Details | Diff | Review
certext.c didn't make into the last patch. fixing... (52.13 KB, patch)
2007-05-22 13:45 PDT, Alexei Volkov
neil.williams: review+
Details | Diff | Review

Description Julien Pierre 2006-01-25 19:35:11 PST
certutil currently does not know how to add Subject Information Access or Authority Information Access extensions when generating certificates .

For the purpose of full coverage testing of libpkix, we should add this ability to certutil .
Comment 1 Nelson Bolyard (seldom reads bugmail) 2006-03-28 11:55:09 PST
This is P1 for 3.12, but should not displace 3.11.x work at this time.
Comment 2 Alexei Volkov 2007-01-16 13:52:19 PST
Created attachment 251684 [details] [diff] [review]
AIA and SIA extension patch(not for review yet)
Comment 3 Nelson Bolyard (seldom reads bugmail) 2007-05-17 13:31:11 PDT
P1, MUST have for 3.12
Comment 4 Alexei Volkov 2007-05-22 13:43:04 PDT
Created attachment 265701 [details] [diff] [review]
split certutil by removing code related to extension generation into separate file

certutil.c is getting too big. Propose to split it into at least two files: 
   1. certext.c - everything that is about cert extensions
   2. certutil.c - the rest of the code

I'm about to add support for a number of new extensions to certutil. Would like to split it before Neil starts to work on his enhancements to avoid problems with merge.
Comment 5 Alexei Volkov 2007-05-22 13:45:49 PDT
Created attachment 265702 [details] [diff] [review]
certext.c didn't make into the last patch. fixing...
Comment 6 Neil Williams 2007-05-22 13:58:40 PDT
Comment on attachment 265702 [details] [diff] [review]
certext.c didn't make into the last patch. fixing...

Looks good as long as all.sh still passes. You might want to fix the indentation in the 3 or 4 functions starting with CreateOidSequence() while you're moving things around. It would make it a little easier to read.
Comment 7 Alexei Volkov 2007-05-22 14:53:43 PDT
Integrating attachment 265702 [details] [diff] [review]:
/cvsroot/mozilla/security/nss/cmd/certutil/certext.c,v  <--  certext.c
initial revision: 1.1
/cvsroot/mozilla/security/nss/cmd/certutil/certutil.c,v  <--  certutil.c
new revision: 1.109; previous revision: 1.108
/cvsroot/mozilla/security/nss/cmd/certutil/manifest.mn,v  <--  manifest.mn
new revision: 1.8; previous revision: 1.7
Comment 8 Neil Williams 2007-07-24 19:33:52 PDT
Previous patch split certutil into two large parts preperatory to adding support for several new cert extensions. SIA and AIA cert extensions are being added as part of bug # 324744. When that bug is closed this one should be too.
Comment 9 Nelson Bolyard (seldom reads bugmail) 2007-08-16 12:00:02 PDT
This is NOT a libpkix bug
Comment 10 Nelson Bolyard (seldom reads bugmail) 2007-08-16 13:16:12 PDT
marking PKIXTEST in whiteboard.
Comment 11 Neil Williams 2007-09-19 15:09:31 PDT
This is fixed by the patches committed in bug 324744.

Note You need to log in before you can comment on or make changes to this bug.